/*
 * LinuxBoardController.h
 *
 *  Created on: 28 Mar 2017
 *      Author: lenka
 */

#ifndef LINUXBOARDCONTROLLER_H_
#define LINUXBOARDCONTROLLER_H_

#include <stdint.h>
#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include <fcntl.h>
#include <string.h>

class LinuxBoardController {
public:
	LinuxBoardController();
	virtual ~LinuxBoardController();

	int SetBoardLED(int led_no,int on);
	int BlinkBoardLED(int led_no,int delay_on, int delay_off);

	int ResetDSPIC();
};

#endif /* LINUXBOARDCONTROLLER_H_ */
